/* $Id: xfce-menu-standard-rules.h 25261 2007-03-23 01:53:16Z jannis $ */
/* vi:set expandtab sw=2 sts=2: */
/*-
 * Copyright (c) 2006-2007 Jannis Pohlmann <jannis@xfce.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FSTANDARD A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#if !defined(LIBXFCE4MENU_INSIDE_LIBXFCE4MENU_H) && !defined(LIBXFCE4MENU_COMPILATION)
#error "Only <libxfce4menu/libxfce4menu.h> can be included directly. This file may disappear or change contents."
#endif

#ifndef __XFCE_MENU_STANDARD_RULES_H__
#define __XFCE_MENU_STANDARD_RULES_H__

#include <glib-object.h>

typedef struct _XfceMenuStandardRules        XfceMenuStandardRules;
typedef struct _XfceMenuStandardRulesClass   XfceMenuStandardRulesClass;

#define XFCE_TYPE_MENU_STANDARD_RULES             (xfce_menu_standard_rules_get_type ())
#define XFCE_MENU_STANDARD_RULES(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), XFCE_TYPE_MENU_STANDARD_RULES, XfceMenuStandardRules))
#define XFCE_MENU_STANDARD_RULES_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST ((klass), XFCE_TYPE_MENU_STANDARD_RULES, XfceMenuStandardRulesClass))
#define XFCE_IS_MENU_STANDARD_RULES(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), XFCE_TYPE_MENU_STANDARD_RULES))
#define XFCE_IS_MENU_STANDARD_RULES_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((obj), XFCE_TYPE_MENU_STANDARD_RULES))
#define XFCE_MENU_STANDARD_RULES_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), XFCE_TYPE_MENU_STANDARD_RULES, XfceMenuStandardRulesClass))

struct _XfceMenuStandardRulesClass
{
  GObjectClass __parent__;

  gboolean (*match_item) (XfceMenuStandardRules *rules, 
                          XfceMenuItem          *item);
};

struct _XfceMenuStandardRules
{
  GObject __parent__;

  /* Nested rules */
  GList   *rules;

  /* Filename rules */
  GList   *filenames;

  /* Category rules */
  GList   *categories;

  /* All rule */
  guint    all : 1;

  /* Whether this rules object is treated as an include or exclude element */
  gboolean include;
};

GType    xfce_menu_standard_rules_get_type      (void) G_GNUC_CONST;

gboolean xfce_menu_standard_rules_get_include   (XfceMenuStandardRules *rules);
void     xfce_menu_standard_rules_set_include   (XfceMenuStandardRules *rules,
                                                 gboolean               include);

G_END_DECLS;

#endif /* !__XFCE_MENU_STANDARD_RULES_H__ */
